Erreur pour upgrade de 1.1.8 à 1.2.17

MantisBT forum for users who prefer to ask and answer questions in French.

Moderators: Developer, Contributor

Post Reply
AP72
Posts: 5
Joined: Jul 09, 2014 8:40 am

Erreur pour upgrade de 1.1.8 à 1.2.17

Post by AP72 » Jul 09, 2014 9:24 am

Bonjour,

Cela fait maintenant 2 jours que j'essaie d'upgrader mon Mantis 1.1.8 en 1.2.17 sans succès.

J'utilise actuellement Mantis 1.1.8 avec quelques plugins et une base de données MySQL.
J'ai suivi précisement la doc officielle ici:
http://www.mantisbt.org/docs/master-1.2 ... LL.UPGRADE

J'obtiens toujours cette erreur:
APPLICATION ERROR #401
Échec de la requête de base de données. L'erreur renvoyée par la base de données était #1062 : Duplicate entry '1-Comptable' for key 'idx_category_project_name' pour la requête : INSERT INTO mantis_category_table ( name, project_id, user_id ) VALUES ( ?, ?, ? ).

Merci d'utiliser le bouton « Précédent » de votre navigateur web pour retourner à la page précédente. Vous pourrez y corriger les problèmes identifiés par cette erreur ou choisir une autre action. Vous pouvez aussi choisir une option de la barre de menu pour aller directement dans une nouvelle section.
J'ai parcouru le web et ce forum, essayé pleins de choses mais rien n'a fonctionné.

Pouvez-vous m'aider s'il vous plaît ? :(

AP72
Posts: 5
Joined: Jul 09, 2014 8:40 am

Re: Erreur pour upgrade de 1.1.8 à 1.2.17

Post by AP72 » Jul 11, 2014 10:08 am

Je précise qu'en mettant en commentaire la ligne 402 du fichier "/admin/schema.php" l'installation semble se dérouler normalement.

Code: Select all

#$upgrade[] = Array( 'CreateIndexSQL', Array( 'idx_category_project_name', db_get_table( 'mantis_category_table' ), 'project_id, name', array( 'UNIQUE' ) ) );
Cependant j'imagine que je perds des index derrière :(

Post Reply